Package com.sap.ai.sdk.orchestration.model

# Class SAPDocumentTranslationInput

java.lang.Object
com.sap.ai.sdk.orchestration.model.SAPDocumentTranslationInput

public class SAPDocumentTranslationInput extends Object
SAPDocumentTranslationInput

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SAPDocumentTranslationInput.Builder`
  Builder helper class.
  `static interface`
  `SAPDocumentTranslationInput.Builder1`
  Builder helper class.
  `static enum`
  `SAPDocumentTranslationInput.TypeEnum`
  Type of document translation provider

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SAPDocumentTranslationInput()`
  Default constructor for SAPDocumentTranslationInput.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SAPDocumentTranslationInput`
  `config(SAPDocumentTranslationInputConfig config)`
  Set the config of this `SAPDocumentTranslationInput` instance and return the same instance.
  `static SAPDocumentTranslationInput.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `SAPDocumentTranslationInput` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `SAPDocumentTranslationInputConfig`
  `getConfig()`
  Get config
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `SAPDocumentTranslationInput`.
  `SAPDocumentTranslationInput.TypeEnum`
  `getType()`
  Type of document translation provider
  `int`
  `hashCode()`
  `Boolean`
  `isTranslateMessagesHistory()`
  If true, the messages history will be translated as well.
  `void`
  `setConfig(SAPDocumentTranslationInputConfig config)`
  Set the config of this `SAPDocumentTranslationInput` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `SAPDocumentTranslationInput` instance.
  `void`
  `setTranslateMessagesHistory(Boolean translateMessagesHistory)`
  Set the translateMessagesHistory of this `SAPDocumentTranslationInput` instance.
  `void`
  `setType(SAPDocumentTranslationInput.TypeEnum type)`
  Set the type of this `SAPDocumentTranslationInput` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `SAPDocumentTranslationInput` instance including unrecognized properties.
  `String`
  `toString()`
  `SAPDocumentTranslationInput`
  `translateMessagesHistory(Boolean translateMessagesHistory)`
  Set the translateMessagesHistory of this `SAPDocumentTranslationInput` instance and return the same instance.
  `SAPDocumentTranslationInput`
  `type(SAPDocumentTranslationInput.TypeEnum type)`
  Set the type of this `SAPDocumentTranslationInput` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SAPDocumentTranslationInput

    protected SAPDocumentTranslationInput()
    Default constructor for SAPDocumentTranslationInput.

- ## Method Details

  - ### type

    @Nonnull public SAPDocumentTranslationInput type(@Nonnull SAPDocumentTranslationInput.TypeEnum type)
    Set the type of this `SAPDocumentTranslationInput` instance and return the same instance.
    Parameters:
      `type` - Type of document translation provider
    Returns:
      The same instance of this `SAPDocumentTranslationInput` class

  - ### getType

    @Nonnull public SAPDocumentTranslationInput.TypeEnum getType()
    Type of document translation provider
    Returns:
      type The type of this `SAPDocumentTranslationInput` instance.

  - ### setType

    public void setType(@Nonnull SAPDocumentTranslationInput.TypeEnum type)
    Set the type of this `SAPDocumentTranslationInput` instance.
    Parameters:
      `type` - Type of document translation provider

  - ### translateMessagesHistory

    @Nonnull public SAPDocumentTranslationInput translateMessagesHistory(@Nullable Boolean translateMessagesHistory)
    Set the translateMessagesHistory of this `SAPDocumentTranslationInput` instance and return the same instance.
    Parameters:
      `translateMessagesHistory` - If true, the messages history will be translated as well.
    Returns:
      The same instance of this `SAPDocumentTranslationInput` class

  - ### isTranslateMessagesHistory

    @Nonnull public Boolean isTranslateMessagesHistory()
    If true, the messages history will be translated as well.
    Returns:
      translateMessagesHistory The translateMessagesHistory of this `SAPDocumentTranslationInput` instance.

  - ### setTranslateMessagesHistory

    public void setTranslateMessagesHistory(@Nullable Boolean translateMessagesHistory)
    Set the translateMessagesHistory of this `SAPDocumentTranslationInput` instance.
    Parameters:
      `translateMessagesHistory` - If true, the messages history will be translated as well.

  - ### config

    @Nonnull public SAPDocumentTranslationInput config(@Nonnull SAPDocumentTranslationInputConfig config)
    Set the config of this `SAPDocumentTranslationInput` instance and return the same instance.
    Parameters:
      `config` - The config of this `SAPDocumentTranslationInput`
    Returns:
      The same instance of this `SAPDocumentTranslationInput` class

  - ### getConfig

    @Nonnull public SAPDocumentTranslationInputConfig getConfig()
    Get config
    Returns:
      config The config of this `SAPDocumentTranslationInput` instance.

  - ### setConfig

    public void setConfig(@Nonnull SAPDocumentTranslationInputConfig config)
    Set the config of this `SAPDocumentTranslationInput` instance.
    Parameters:
      `config` - The config of this `SAPDocumentTranslationInput`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `SAPDocumentTranslationInput`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `SAPDocumentTranslationInput` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `SAPDocumentTranslationInput` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `SAPDocumentTranslationInput` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static SAPDocumentTranslationInput.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `SAPDocumentTranslationInput` instance with all required arguments.